
--
-- Copyright (C) 2022  <fastrgv@gmail.com>
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You may read the full text of the GNU General Public License
-- at <http://www.gnu.org/licenses/>.
--


with system;
with interfaces.c;
with glfw3;

package zoomwheel is

use glfw3;
use interfaces.c;
use type interfaces.c.double;

	zdist: double := 1.0; --default

procedure scroll(
	--addr: system.address;
	addr: access GLFWwindow;
	dx  : double;
	dy  : double );
pragma Convention(C,scroll);

--procedure enable( win: system.address );
procedure enable( win: access GLFWwindow );

end zoomwheel;
